Home | All Classes | Main Classes | Annotated | Grouped Classes | Functions |

# Porting your applications to TQt/Embedded

Existing TQt applications should require no porting provided there is no platform dependent code. Platform dependent code includes system calls, calls to the underlying window system (Windows or X11), and TQt platform specific methods such as TQApplication::x11EventFilter().

For cases where it is necessary to use platform dependent code there are macros defined that can be used to enable/disable code for each platform using `#ifdef` directives:

Platform | Macro
--- | ---
TQt/X11 | TQ_WS_X11
TQt/Windows | TQ_WS_WIN
TQt/Embedded | TQ_WS_QWS

TQt/Embedded also requires the following flags to be defined when compiling applications:

    -DTQWS -fno-exceptions -fno-rtti

Exceptions and RTTI are disabled in TQt/Embedded because they incur a large overhead in both size and speed.